- Qt 6.8
- Qt WebEngine
- QML Types
- WebEngineClientCertificateSelection
- Qt 6.8.3 Reference Documentation

# WebEngineClientCertificateSelection QML Type

Provides a selection of client certificates. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.9

- List of all members, including inherited members

## Properties

- certificates : list<WebEngineClientCertificateOption>
- host : url

## Methods

- void select(WebEngineClientCertificateOption certificate)
- void select(int index)
- void selectNone()

## Detailed Description

When a web site requests an SSL client certificate, and one or more certificates are found in the system's client certificate store, this type provides access to the certificates to choose from, as well as a method for selecting one.

The selection is asynchronous. If no certificate is selected and no copy of the object is kept alive, loading will continue without a certificate.

See also WebEngineView.selectClientCertificate.

## Property Documentation

certificates : list<WebEngineClientCertificateOption>

The client certificates available to choose from.

host : url

The host and port of the server requesting the client certificate.

## Method Documentation

void select(WebEngineClientCertificateOption certificate)

Selects the client certificate certificate. The certificate must be one of the offered certificates.

See also selectNone().

void select(int index)

Selects the client certificate at the index index in the list of offered certificates.

See also selectNone().

void selectNone()

Continues without using any of the offered certificates. This is the same action as taken when destroying the last copy of this object if no selection has been made.

See also select().